## org.eclipse.datatools.sqltools.routineeditor
Class SQLRoutineDocumentProvider

    java.lang.Object
      StorageDocumentProvider
          org.eclipse.datatools.sqltools.sqleditor.SQLStorageDocumentProvider
              org.eclipse.datatools.sqltools.routineeditor.SQLRoutineDocumentProvider

All Implemented Interfaces:
  IRoutineEditorDocumentProvider

public class SQLRoutineDocumentProvider
extends SQLStorageDocumentProvider
implements IRoutineEditorDocumentProvider

This document provider class is responsible for mapping routine objects and routine editor documents.

Author:
  Hui Cao
See Also:
  Serialized Form

Constructor Summary
`SQLRoutineDocumentProvider()`

Method Summary
`boolean` `isModifiable(java.lang.Object element)`
`boolean` `isReadOnly(java.lang.Object element)`
`void` `refreshFromDatabase(java.lang.Object element, IControlConnection controlCon, ProcIdentifier proc)` Refreshs the routine object from database.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLRoutineDocumentProvider

    public SQLRoutineDocumentProvider()

Method Detail

### isModifiable

    public boolean isModifiable(java.lang.Object element)

  Overrides:
    `isModifiable` in class `SQLStorageDocumentProvider`

### refreshFromDatabase

    public void refreshFromDatabase(java.lang.Object element,
                                    IControlConnection controlCon,
                                    ProcIdentifier proc)
                             throws CoreException,
                                    java.sql.SQLException

  Description copied from interface: `IRoutineEditorDocumentProvider`
  Refreshs the routine object from database.

  Specified by:
    `refreshFromDatabase` in interface `IRoutineEditorDocumentProvider`
  Parameters:
    `element` - the routine object
    `controlCon` - control connection that's used by the routine editor
    `proc` - the routine identifier
  Throws:
    `CoreException`
    `java.sql.SQLException`

### isReadOnly

    public boolean isReadOnly(java.lang.Object element)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.